Subject: [PATCH v6 4/5] ARM: OMAP: gpmc: enable hwecc for AM33xx SoCs

From: [email-masked] (Daniel Mack)
Date: Wed, 05 Dec 2012 19:40:47 +0100

On 05.12.2012 19:33, Tony Lindgren wrote:
> * Jon Hunter <[email-masked]> [121205 10:22]:
>>
>> On 12/05/2012 11:41 AM, Tony Lindgren wrote:
>>> * Daniel Mack <[email-masked]> [121205 09:29]:
>>>> On 05.12.2012 18:19, Tony Lindgren wrote:
>>>>>
>>>>> The plat/cpu.h file will disappear after the merge window, which means
>>>>> omap2+ related drivers cannot use cpu_is_omap macros.
>>>>>
>>>>> For legacy booting systems, this flag should be just passed in the
>>>>> platform_data from the platform init code. Then device tree can
>>>>> deal with it based on the compatible flag.
>>>>>
>>>>
>>>> Ok, thanks for explaining.
>>>>
>>>> Does that mean this patch series should be postponed until after the
>>>> merge window and then build upon that change or should we merge the
>>>> patch in question here as is and then care for the cleanups after the
>>>> window?
>>>
>>> Well to me it seems that you only have cpu_is_omap usage in
>>> arch/arm/mach-omap2/gpmc-nand.c, which will be OK. Only the code
>>> under drivers/* needs to be fixed for that. So your patches may
>>> be OK, but..
>>
>> The real problem here is that drivers/mtd/nand/omap2.c is including
>> plat/gpmc.h and calling a function in arch/arm/mach-omap/gpmc-nand.c. So
>> although Daniel's patches are not introducing any new problems for
>> single zImage, they do highlight a problem that we have with the omap2
>> nand driver that needs to be addressed for single zImage.
>>
>> So either we fix this now or after merging Daniel's changes. Either is
>> fine with me.
> 
> Ah I see. Yes it would be good to fix that issue first to avoid
> adding any new blockers for multiplatform build.

Already fixed by Afzal here:

https://git.kernel.org/?p=linux/kernel/git/tmlind/linux-omap.git;a=commitdiff;h=2ef9f3dd

... which is also in linux-next.

Daniel